module zworld

go 1.20

require (
	github.com/go-gl/glfw/v3.3/glfw v0.0.0-20221017161538-93cebf72946b
	github.com/johanhenriksson/goworld v0.0.0-20231109170831-124f97e005f9
	github.com/ojrac/opensimplex-go v1.0.2
	github.com/onsi/ginkgo/v2 v2.13.2
	github.com/onsi/gomega v1.30.0
	github.com/veandco/go-sdl2 v0.4.36
	github.com/vkngwrapper/core/v2 v2.2.1
	github.com/vkngwrapper/extensions/v2 v2.2.0
	go.uber.org/zap v1.26.0
	golang.org/x/exp v0.0.0-20231206192017-f3f8817b8deb
	golang.org/x/image v0.0.0-20220722155232-062f8c9fd539
)

require (
	github.com/CannibalVox/cgoparam v1.1.0 // indirect
	github.com/go-logr/logr v1.3.0 // indirect
	github.com/go-task/slim-sprig v0.0.0-20230315185526-52ccab3ef572 // indirect
	github.com/golang/freetype v0.0.0-20170609003504-e2365dfdc4a0 // indirect
	github.com/google/go-cmp v0.6.0 // indirect
	github.com/google/pprof v0.0.0-20230728192033-2ba5b33183c6 // indirect
	github.com/google/uuid v1.3.0 // indirect
	github.com/kjk/flex v0.0.0-20171203210503-ed34d6b6a425 // indirect
	github.com/mitchellh/hashstructure/v2 v2.0.2 // indirect
	github.com/pkg/errors v0.9.1 // indirect
	github.com/vkngwrapper/integrations/sdl2/v2 v2.1.0 // indirect
	go.uber.org/multierr v1.10.0 // indirect
	golang.org/x/net v0.19.0 // indirect
	golang.org/x/sys v0.15.0 // indirect
	golang.org/x/text v0.14.0 // indirect
	golang.org/x/tools v0.16.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
)
